summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson2010-06-17 13:35:44 +0200
committer Robby Workman2010-06-17 21:43:58 +0200
commit0b0004403cba1504a5c1c4e67837d2053d6d00eb (patch)
treed723bb20bb829041977eec485acc06bbe4ba794f
parentb6b200cca6a7a79bc60330df3b98b608496d1b45 (diff)
downloadslackbuilds-0b0004403cba1504a5c1c4e67837d2053d6d00eb.tar.gz
network/pino: Added (Twitter and Identi.ca client)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/pino/README3
-rw-r--r--network/pino/doinst.sh4
-rw-r--r--network/pino/pino.SlackBuild90
-rw-r--r--network/pino/pino.info10
-rw-r--r--network/pino/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/network/pino/README b/network/pino/README
new file mode 100644
index 0000000000..4ac12b94a0
--- /dev/null
+++ b/network/pino/README
@@ -0,0 +1,3 @@
+Pino is a Twitter and Identi.ca client for Linux desktop.
+
+This requires libgee, libsoup, libunique, vala, and webkit.
diff --git a/network/pino/doinst.sh b/network/pino/doinst.sh
new file mode 100644
index 0000000000..24e4bc11e0
--- /dev/null
+++ b/network/pino/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
+
diff --git a/network/pino/pino.SlackBuild b/network/pino/pino.SlackBuild
new file mode 100644
index 0000000000..c9e02b5138
--- /dev/null
+++ b/network/pino/pino.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for Pino
+
+# Copyright 2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pino
+VERSION=0.2.10
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./waf configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+./waf build
+./waf install --destdir=$PKG
+
+# Ignores --docdir --datadir etc..
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/doc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pino/pino.info b/network/pino/pino.info
new file mode 100644
index 0000000000..68742e5860
--- /dev/null
+++ b/network/pino/pino.info
@@ -0,0 +1,10 @@
+PRGNAM="pino"
+VERSION="0.2.10"
+HOMEPAGE="http://code.google.com/p/pino-twitter/"
+DOWNLOAD="http://pino-twitter.googlecode.com/files/pino-0.2.10.tar.bz2"
+MD5SUM="4b12fb6e7f74a759dbcc70e996c70a3f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/network/pino/slack-desc b/network/pino/slack-desc
new file mode 100644
index 0000000000..f0145a30cb
--- /dev/null
+++ b/network/pino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+pino: Pino (Twitter and Identi.ca client)
+pino:
+pino: Pino is a Twitter and Identi.ca client for Linux desktop. It's
+pino: simple and fast. It's written on Vala language and compiles to
+pino: the native binary code.
+pino:
+pino:
+pino:
+pino:
+pino:
+pino: